=== debian/control ===
Source: libident
Maintainer: Paul Slootman <paul@debian.org>
Section: libs
Priority: important
Standards-Version: 3.6.1

Package: libident
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Suggests: libident-dev
Description: simple RFC1413 client library - runtime
 This is a small library to interface to the Ident protocol server;
 "ident" enables a remote host to find out who's the owner of a
 network connection.
 . 
 /usr/sbin/in.identtestd is a small daemon (to be started from inetd)
 that does an ident lookup on you if you telnet into it. Can be used
 to verify that your Ident server is working correctly.

Package: libident-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libident(=${Source-Version}), ${shlibs:Depends}
Description: simple RFC1413 client library - development
 This is a small library to interface to the Ident protocol server.
